Name:           perl-Dispatch-Class
Version:        0.04
Release:        2%{?dist}
Summary:        Dispatch on the type (class) of an argument
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/Dispatch-Class
Source0:        https://www.cpan.org/modules/by-module/Dispatch/Dispatch-Class-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Exporter::Tiny)
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util) >= 1
# Tests
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Test::More)
Requires:       perl(Scalar::Util) >= 1

# Remove underspecified dependencies.
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Scalar::Util\\)$

%description
This module offers a (mostly) simple way to check the class of an object
and handle specific cases specially.

%prep
%setup -q -n Dispatch-Class-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Dispatch/*
%{_mandir}/man3/Dispatch::Class.3pm*

%changelog
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Mon Jun 09 2025 Michal Josef Špaček <mspacek@redhat.com> - 0.04-1
- 0.04 bump

* Mon Jun 09 2025 Michal Josef Špaček <mspacek@redhat.com> - 0.02-2
- Add missing coreutils dependency.
- Improve %files section.
- Use https for source.

* Wed Jan 29 2025 Michal Josef Spacek 0.02-1
- Specfile autogenerated by cpanspec 1.78.
